Redmine - Defect #3755

Viewing an issue dies if the description contains two adjacent equals signs
2009-08-19 02:36 - Anonymous

Status: Closed Start date: 2009-08-19
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

| don't want to actually put the bad text into this issue in case it breaks it, but it is two adjacent equals signs, as in = followed
immediately by another = with no whitespace. This happens every now and then on our Java project that uses Freemarker, which
'helpfully' outputs nice error messages that contains this sequence of characters. The only way we can fix this is to change the issue
description in the database to remove them.

Looking at the stack trace below, it can be seen that it's not necessarily restricted to issue descriptions, but to anything that is passed
into 'textilizable'. This is a problem in the current SVN trunk, and probably all existing releases too.

/usr/lib/ruby/gems/1.8/gems/rails-2.2.2/1ib/fcgi_handler.rb:158:in “exit'
/usr/lib/ruby/gems/1.8/gems/rails-2.2.2/1ib/fcgi_handler.rb:158:in "“exit_now_handler'
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in "to_proc'
lib/redcloth3.rb:983:in “call'
lib/redcloth3.rb:983:in “gsub!'
lib/redcloth3.rb:983:in ‘no_textile'
lib/redcloth3.rb:297:in “to_html"
lib/redmine/wiki_formatting/textile/formatter.rb:39:in "to_html'
lib/redmine/wiki_formatting.rb:47:in “to_html'
app/helpers/application_helper.rb:363:in “textilizable'
app/views/issues/show.rhtml:59
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_view/renderable.rb:39:in " send'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_view/template.rb:73:in "render_templat

N

.2/1lib/action_view/renderable.rb:39:in "render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_view/base.rb:256:in "render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_view/base.rb:367:in '_render_with_layo
ut'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_view/base.rb:254:in "render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:1174:in "“render_for
_file'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/base.rb:899:in "render_with
out_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1lib/action_controller/benchmarking.rb:51:in “rend

er'
/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/1lib/active_support/core_ext/benchmark.rb:8:1in
‘realtime'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/1ib/action_controller/benchmarking.rb:51:in "“rend
er'
app/controllers/issues_controller.rb:119:in " show'
History

#1 - 2009-08-19 02:40 - Anonymous

I've made a sample of the text causing the problem at http:/www.pastebin.ca/1534517

#2 - 2009-09-01 05:31 - Eric Davis

Works fine on the demo (r2784) and on the preview here. Is there any more information you can provide?

http://demo.redmine.org/issues/4587
http://www.pastebin.ca/1534517
https://www.redmine.org/projects/redmine/repository/svn/revisions/2784
http://demo.redmine.org/issues/4587

#3 - 2009-11-05 13:23 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Cant reproduce

#4 - 2009-11-05 23:35 - Anonymous
Sorry for not responding 2 months ago Eric. | can confirm that this appears to be fixed in the current SVN trunk. Cheers!
